Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# LightMutexDirect Class Reference

This class implements a lightweight Mutex by making direct calls to the underlying implementation layer. More...

Inheritance diagram for LightMutexDirect:

List of all members.

## Public Member Functions
| acquire ()
| Grabs the lightMutex if it is available.
| clearName ()
| The lightMutex name is only defined when compiling in DEBUG_THREADS mode.
bool | debugIsLocked ()
| Returns true if the current thread has locked the LightMutex, false otherwise.
string | getName ()
| The lightMutex name is only defined when compiling in DEBUG_THREADS mode.
bool | hasName ()
| The lightMutex name is only defined when compiling in DEBUG_THREADS mode.
| output (ostream out)
| This method is declared virtual in LightMutexDebug, but non-virtual in LightMutexDirect.
| release ()
| Releases the lightMutex.
| setName (string name)
| The lightMutex name is only defined when compiling in DEBUG_THREADS mode.

## Detailed Description

This class implements a lightweight Mutex by making direct calls to the underlying implementation layer.

It doesn't perform any debugging operations.

## Member Function Documentation

acquire | ( |  | ) |

Grabs the lightMutex if it is available.

If it is not available, blocks until it becomes available, then grabs it. In either case, the function does not return until the lightMutex is held; you should then call unlock().

This method is considered const so that you can lock and unlock const lightMutexes, mainly to allow thread-safe access to otherwise const data.

Also see LightMutexHolder.

clearName | ( |  | ) |

The lightMutex name is only defined when compiling in DEBUG_THREADS mode.

bool debugIsLocked | ( |  | ) |

Returns true if the current thread has locked the LightMutex, false otherwise.

This method is only intended for use in debugging, hence the method name; in the LightMutexDirect case, it always returns true, since there's not a reliable way to determine this otherwise.

string getName | ( |  | ) |

The lightMutex name is only defined when compiling in DEBUG_THREADS mode.

bool hasName | ( |  | ) |

The lightMutex name is only defined when compiling in DEBUG_THREADS mode.

output | ( | ostream | out | ) |

This method is declared virtual in LightMutexDebug, but non-virtual in LightMutexDirect.

release | ( |  | ) |

Releases the lightMutex.

It is an error to call this if the lightMutex was not already locked.

This method is considered const so that you can lock and unlock const lightMutexes, mainly to allow thread-safe access to otherwise const data.

setName | ( | string | name | ) |

The lightMutex name is only defined when compiling in DEBUG_THREADS mode.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties